package de.psychometrica.lsa;

/**
 * A little demonstration for computing the cosine between two texts
 * @author Wolfgang Lenhard
 *
 */
public class LSAExample {

	public LSAExample(){
		//First set the directory path to the database file and connect to the database
		//Please do this ALWAYS prior to using other functions

		VectorStore.setPath("c:/programs/context/database");
		VectorStore.getInstance();

		//Ok, if the path was right, the database is connected after some seconds.
		//Now it's time to play.
		SemanticVector vector1 = LSATools.getVector("Elefanten sind Säugetiere, die in der afrikanischen Steppe und im indischen Dschungel leben.");
		SemanticVector vector2 = LSATools.getVector("Ein Elefant ist ein Großsäuger aus der Savane Afrikas. Manche Arten leben im Urwald Indiens.");
		float cosine = LSATools.getCosine(vector1, vector2);

		System.out.println("The semantic similarity is: " + cosine);

	}

	/**
	 * @param args
	 */
	public static void main(String[] args) {
		new LSAExample();

	}

}
